moMoveIncrEval(3)

NAME
moMoveIncrEval - (generally) Efficient evaluation function based a move and a solution.

SYNOPSIS

#include <moMoveIncrEval.h>

Inherits eoBF< A1, A2, R >< const const M &, M::EOType &, M::EOType::Fitness >.

Detailed Description

  template<class M> class moMoveIncrEval< M >
(generally) Efficient evaluation function based a move and a solution. From a move and a solution, it computes a new fitness that could be associated to the solution if this one is updated.

Definition at line 24 of file moMoveIncrEval.h.

Author

Generated automatically by Doxygen for PARADISEO-MO from the source code.